#!/bin/bash

function sortie_si_annule() {
	case $? in
		1 | -1 ) sortie ;;
		* ) return ;;
	esac
}


# Le script doit être lancé avec sudo.
[ "$USER" = "root" ] || {
	echo "Vous devez lancer ce programme avec des droits d'administrateur."
	echo "Pour cela utiliser : sudo $0"
	exit 1
}

# Modification du contenu des source-list
[ -f /etc/apt/sources.list_karmic_ORIG ] || {
	cp /etc/apt/sources.list /etc/apt/sources.list_karmic_ORIG
}
#cat /etc/apt/sources.list_ORIG | sed s/"http:\/\/"/"http:\/\/172.18.25.145\/mirror\/"/g | sed s/"fr\.archive\.ubuntu\.com"/"archive\.ubuntu\.com"/g | sed s/"security\.ubuntu\.com"/"archive\.ubuntu\.com"/g | sed s/"deb-src"/"#deb-src"/g | sed s/"jaunty"/"karmic"/g | egrep -v "hardy" | egrep -v "broder" > /etc/apt/sources.list
cat /etc/apt/sources.list_karmic_ORIG | sed s/"http:\/\/"/"http:\/\/172.18.25.145\/mirror\/"/g | sed s/"fr\.archive\.ubuntu\.com"/"archive\.ubuntu\.com"/g | sed s/"security\.ubuntu\.com"/"archive\.ubuntu\.com"/g | sed s/"deb-src"/"#deb-src"/g | egrep -v "hardy" | egrep -v "broder" > /etc/apt/sources.list

[ -d /etc/apt/sources.list.d_ORIG ] || {
	mkdir /etc/apt/sources.list.d_ORIG
}

for f in `ls -1A /etc/apt/sources.list.d | egrep -v "save"`; do {
	[ -f /etc/apt/sources.list.d_ORIG/${f}_karmic_ORIG ] || cp /etc/apt/sources.list.d/${f} /etc/apt/sources.list.d_ORIG/${f}_karmic_ORIG
	cat /etc/apt/sources.list.d_ORIG/${f}_karmic_ORIG | sed s/"http:\/\/"/"http:\/\/172\.18\.25\.145\/mirror\/"/ | sed s/"fr\.archive\.ubuntu\.com"/"archive\.ubuntu\.com"/g | sed s/"security\.ubuntu\.com"/"archive\.ubuntu\.com"/g | sed s/"deb-src"/"#deb-src"/g | sed s/"jaunty"/"karmic"/g | egrep -v "hardy" > /etc/apt/sources.list.d/${f}
}; done

# Modification de /etc/update-manager/meta-release
[ -f /etc/update-manager/meta-release_ORIG ] || {
	cp /etc/update-manager/meta-release /etc/update-manager/meta-release_ORIG
}
echo "# default location for the meta-release file" > /etc/update-manager/meta-release
echo "" >> /etc/update-manager/meta-release
echo "[METARELEASE]" >> /etc/update-manager/meta-release
echo "URI = http://172.18.25.145/mirror/archive.ubuntu.com/ubuntu/dists/changelogs/meta-release" >> /etc/update-manager/meta-release
echo "URI_LTS = http://172.18.25.145/mirror/archive.ubuntu.com/ubuntu/dists/changelogs/meta-release-lts" >> /etc/update-manager/meta-release
echo "URI_UNSTABLE_POSTFIX = -development" >> /etc/update-manager/meta-release
echo "URI_PROPOSED_POSTFIX = -proposed" >> /etc/update-manager/meta-release

# Màj des paquets eux-mêmes
http_proxy=""
export http_proxy
ftp_proxy=""
export ftp_proxy
rm -f /etc/apt/apt.conf
touch /etc/apt/apt.conf
#apt-get update || exit 1
#apt-get clean
##sortie_si_annule()
#apt-get dist-upgrade
#apt-get upgrade
## Suppression des paquets obsolètes
#apt-get autoremove
#apt-get autoclean

